# frozen_string_literal: true

# rubocop:disable Style/ClassAndModuleChildren
module Cookei
  class Api::V1::CookiesController < ApplicationController
    def create
      session[:tracking_settings_set] = true

      COOKEI_ENABLED_TRACKERS.each do |key, value|
        value.each do |tracker|
          session[tracker] = params[:all] ? true : params[key]
        end
      end
    end
  end
end
# rubocop:enable Style/ClassAndModuleChildren
